> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Process manual reward distribution

> Process a manual distirbution for a set of rewards to specific users.



## OpenAPI

````yaml /openapi/admin.json post /rewards/manual-distribution
openapi: 3.1.0
info:
  title: Nudj Admin API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/admin
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /rewards/manual-distribution:
    post:
      tags:
        - Reward
      summary: Process manual reward distribution
      description: Process a manual distirbution for a set of rewards to specific users.
      operationId: manualRewardDistribution
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                rewards:
                  type: array
                  items:
                    type: object
                    properties:
                      rewardId:
                        type: string
                      allocationType:
                        type: string
                        enum:
                          - assets
                          - entries
                      quantity:
                        type: integer
                        exclusiveMinimum: 0
                    required:
                      - rewardId
                      - allocationType
                      - quantity
                xpToDistribute:
                  type: integer
                  minimum: 0
                pointsToDistribute:
                  type: integer
                  minimum: 0
                distributionMechanism:
                  type: string
                  enum:
                    - all
                    - priority
                    - random
                    - select
                amountToDistribute:
                  type: integer
                  exclusiveMinimum: 0
                userIds:
                  type: array
                  items:
                    type: string
                  minItems: 1
                communityId:
                  type: string
                nonce:
                  type: string
                  minLength: 1
              required:
                - rewards
                - xpToDistribute
                - pointsToDistribute
                - distributionMechanism
                - amountToDistribute
                - userIds
                - communityId
                - nonce
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  usersProcessed:
                    type: number
                  failedUserIds:
                    type: array
                    items:
                      type: string
                required:
                  - success
                  - usersProcessed
                  - failedUserIds
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````